create extremely primitive install script

fixes #20
This commit is contained in:
PancakeTAS 2025-07-11 00:10:48 +02:00
parent 5ab8b4e911
commit 8823dea174
No known key found for this signature in database
2 changed files with 43 additions and 3 deletions

View file

@ -4,8 +4,13 @@ This project brings [Lossless Scaling's Frame Generation](https://store.steampow
>[!CAUTION]
> **This is a work-in-progress**. While frame generation has worked in quite a few games, compatibility in many games as well as frame pacing issues still need to be fixed.
Please see the [Wiki](https://github.com/PancakeTAS/lsfg-vk/wiki) for install instructions and join the [Discord](https://discord.gg/losslessscaling) for help (In order to see the linux channels, verify your Steam account.)
You can install lsfg-vk by running this in your command line:
```bash
curl -sSf https://pancake.gay/lsfg-vk.sh | sh
```
<sup>Note: This script is extremely primitive and will not work on all distros. It has been written for Arch Linux and its derivations</sup>
Please see the [Wiki](https://github.com/PancakeTAS/lsfg-vk/wiki) for more information and join the [Discord](https://discord.gg/losslessscaling) for help (In order to see the linux channels, verify your Steam account.)
>[!WARNING]
> Please do note open GitHub issues for anything other than feature requests. Due to the nature of this project, it is much easier to deal with issues through Discord, than GitHub. Use the #linux-reports channel for game compatibility.
> Please do not open GitHub issues for anything other than feature requests. Due to the nature of this project, it is much easier to deal with issues through Discord, than GitHub. Use the #linux-reports channel for game compatibility.

35
install.sh Executable file
View file

@ -0,0 +1,35 @@
#!/bin/sh
: "${INSTALL_PATH:=$HOME/.local}"
BASE_URL='https://pancake.gay/lsfg-vk'
# get local and remote versions
REMOTE_HASH=$(curl -fsSL "$BASE_URL/lsfg-vk.zip.sha")
LOCAL_HASH=$(test -f "$INSTALL_PATH/share/lsfg-vk.sha" && cat "$INSTALL_PATH/share/lsfg-vk.sha")
if [ "$REMOTE_HASH" != "$LOCAL_HASH" ]; then
# prompt user for confirmation
echo -n "Do you wish to install the latest version of lsfg-vk? (y/n) "
read -r answer < /dev/tty
if [ "$answer" != "y" ]; then
echo "Installation aborted."
exit 0
fi
# download lsfg-vk
curl -fsSL -o "/tmp/lsfg-vk.zip" "$BASE_URL/lsfg-vk.zip"
if [ $? -ne 0 ]; then
echo "Failed to download lsfg-vk. Please check your internet connection."
exit 1
fi
# install lsfg-vk
cd "$INSTALL_PATH" || exit 1
unzip -oqq "/tmp/lsfg-vk.zip"
echo "$REMOTE_HASH" > share/lsfg-vk.sha
echo "lsfg-vk has been installed."
else
echo "lsfg-vk is already up to date."
fi